Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTab

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractTab

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem, AjaxProps

Direct Known Subclasses:
  UITab

    public abstract class AbstractTab

extends AbstractActionComponent
implements AbstractTogglePanelTitledItem, AjaxProps, javax.faces.component.behavior.ClientBehaviorHolder

Since:
  2010-10-19
Author:
  akolonitsky

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`AbstractTogglePanelTitledItem.HeaderStates`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractTab()`

Method Summary
`String` | `getContentClass()`
`Object` | `getExecute()`
`String` | `getHeader()`
`String` | `getHeaderActiveClass()`
`String` | `getHeaderClass()`
`String` | `getHeaderDisabledClass()`
`javax.faces.component.UIComponent` | `getHeaderFacet(Enum<?> state)`
`static javax.faces.component.UIComponent` | `getHeaderFacet(javax.faces.component.UIComponent component, Enum<?> state)`
`String` | `getHeaderInactiveClass()`
`String` | `getName()`
`AbstractTabPanel` | `getParentPanel()`
`javax.faces.render.Renderer` | `getRenderer(javax.faces.context.FacesContext context)`
`org.richfaces.component.SwitchType` | `getSwitchType()`
`AbstractTabPanel` | `getTabPanel()`
`boolean` | `isActive()`
`void` | `setContentClass(String contentClass)`
`void` | `setExecute(Object execute)`
`void` | `setHeader(String header)`
`void` | `setHeaderActiveClass(String headerActiveClass)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setHeaderDisabledClass(String headerDisabledClass)`
`void` | `setHeaderInactiveClass(String headerInactiveClass)`
`void` | `setName(String name)`
`void` | `setSwitchType(org.richfaces.component.SwitchType switchType)`
`boolean` | `shouldProcess()`
`String` | `toString()`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, queueEvent, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`getHeaderStyle, getOnheaderclick, getOnheaderdblclick, getOnheadermousedown, getOnheadermousemove, getOnheadermouseup, isDisabled`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface
`getOnenter, getOnleave`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Methods inherited from interface org.richfaces.component.AjaxProps
`getData, getOnbeforedomupdate, getOnbegin, getOncomplete, getRender, getStatus, isLimitRender`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors, getDefaultEventName, getEventNames`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractTab

    public AbstractTab()

Method Detail

### getHeaderActiveClass

    public String getHeaderActiveClass()

  Specified by:
    `getHeaderActiveClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderActiveClass

    public void setHeaderActiveClass(String headerActiveClass)

### getHeaderDisabledClass

    public String getHeaderDisabledClass()

  Specified by:
    `getHeaderDisabledClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderDisabledClass

    public void setHeaderDisabledClass(String headerDisabledClass)

### getHeaderInactiveClass

    public String getHeaderInactiveClass()

  Specified by:
    `getHeaderInactiveClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderInactiveClass

    public void setHeaderInactiveClass(String headerInactiveClass)

### getHeaderClass

    public String getHeaderClass()

  Specified by:
    `getHeaderClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getContentClass

    public String getContentClass()

  Specified by:
    `getContentClass` in interface `AbstractTogglePanelTitledItem`

### setContentClass

    public void setContentClass(String contentClass)

### getExecute

    public Object getExecute()

  Specified by:
    `getExecute` in interface `AjaxProps`

### setExecute

    public void setExecute(Object execute)

### getHeaderFacet

    public javax.faces.component.UIComponent getHeaderFacet(Enum<?> state)

### getHeaderFacet

    public static javax.faces.component.UIComponent getHeaderFacet(javax.faces.component.UIComponent component,
                                                                   Enum<?> state)

### getHeader

    public String getHeader()

  Specified by:
    `getHeader` in interface `AbstractTogglePanelTitledItem`

### setHeader

    public void setHeader(String header)

### getParentPanel

    public AbstractTabPanel getParentPanel()

  Specified by:
    `getParentPanel` in interface `AbstractTogglePanelItemInterface`

### getTabPanel

    public AbstractTabPanel getTabPanel()

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `AbstractTogglePanelItemInterface`

### shouldProcess

    public boolean shouldProcess()

  Specified by:
    `shouldProcess` in interface `AbstractTogglePanelItemInterface`

### getName

    public String getName()

  Specified by:
    `getName` in interface `AbstractTogglePanelItemInterface`

### setName

    public void setName(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSwitchType

    public org.richfaces.component.SwitchType getSwitchType()

  Specified by:
    `getSwitchType` in interface `AbstractTogglePanelItemInterface`

### setSwitchType

    public void setSwitchType(org.richfaces.component.SwitchType switchType)

### getRenderer

    public javax.faces.render.Renderer getRenderer(javax.faces.context.FacesContext context)

  Overrides:
    `getRenderer` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.